#include "config.h"
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include "getopt.h"

/* for open */
#include <sys/types.h>
#include <fcntl.h>

#ifdef HAVE_SYS_STAT_H
#include <sys/stat.h>
#endif

#include <unistd.h>



/* defines */
#define BITS7 1
#define BITS8 0

#define BLOWFISH 0
#define DES 1 
#define TripleDES 2
#define ThreeWAY 3
#define GOST 4
#define CRYPT 5

#define ENCRYPT 0
#define DECRYPT 1

#define CBC 0
#define ECB 1

#ifdef AC_LONG_64_BITS 
typedef unsigned int word32;
typedef unsigned short word16;
#else /* 32 bit machines */
typedef unsigned long word32;
typedef unsigned short word16;
#endif

/* originally was in 3way.c */
#define RAND32 (word32) ((word32)rand() << 17 ^ (word32)rand() << 9 ^ rand())

extern char *getpass();
extern char *crypt();
